# Interface KTX2

interface KTX2 {
transcoderPath: string;
_createTexture(buffers: ArrayBuffer[]): Promise<CompressedTexture>;
_createTextureFrom(transcodeResult: any): Promise<CompressedTexture>;
detectSupport(renderer: WebGLRenderer): KTX2;
dispose(): KTX2;
init(): Promise<void>;
parse(buffer: ArrayBuffer): Promise<CompressedTexture>;
setTranscoderPath(transcoderPath: string): void;
}

- Defined in lib/five/utils/ktx2.ts:23

##### Index

### Properties

transcoderPath

### Methods

_createTexture
_createTextureFrom
detectSupport
dispose
init
parse
setTranscoderPath

## Properties

### transcoderPath

transcoderPath: string

- Defined in lib/five/utils/ktx2.ts:25

## Methods

### _createTexture

- _createTexture(buffers: ArrayBuffer[]): Promise<CompressedTexture>

  #### Parameters

  - buffers: ArrayBuffer[]

  #### Returns Promise<CompressedTexture>

  - Defined in lib/five/utils/ktx2.ts:120

### _createTextureFrom

- _createTextureFrom(transcodeResult: any): Promise<CompressedTexture>

  #### Parameters

  - transcodeResult: any

  #### Returns Promise<CompressedTexture>

  - Defined in lib/five/utils/ktx2.ts:107

### detectSupport

- detectSupport(renderer: WebGLRenderer): KTX2

  #### Parameters

  - renderer: WebGLRenderer

  #### Returns KTX2

  - Defined in lib/five/utils/ktx2.ts:45

### dispose

- dispose(): KTX2

  #### Returns KTX2

  - Defined in lib/five/utils/ktx2.ts:130

### init

- init(): Promise<void>

  #### Returns Promise<void>

  - Defined in lib/five/utils/ktx2.ts:62

### parse

- parse(buffer: ArrayBuffer): Promise<CompressedTexture>

  #### Parameters

  - buffer: ArrayBuffer

  #### Returns Promise<CompressedTexture>

  - Defined in lib/five/utils/ktx2.ts:103

### setTranscoderPath

- setTranscoderPath(transcoderPath: string): void

  #### Parameters

  - transcoderPath: string

  #### Returns void

  - Defined in lib/five/utils/ktx2.ts:41